Subject: Re: linux-next: build failure after merge of the rr tree

From: Rusty Russell <[email-masked]>
Date: Wed, 2 Jun 2010 14:15:16 +0930

On Wed, 2 Jun 2010 11:33:45 am Stephen Rothwell wrote:
> Hi Rusty,
> 
> After merging the rr tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> kernel/debug/kdb/kdb_main.c: In function 'kdb_lsmod':
> kernel/debug/kdb/kdb_main.c:1897: error: 'struct module' has no member named 'modules_which_use_me'
> kernel/debug/kdb/kdb_main.c:1897: error: 'struct module' has no member named 'modules_which_use_me'

Thanks Stephen! I'm not surprised Linus (and I) missed this.

Jason/Martin, please don't do this again.  If you need a structure definition
from a file, pull it out into the header don't cut and paste it like
kernel/debug/kdb/kdb_main.c line 1859:

	#if defined(CONFIG_MODULES)
	/* modules using other modules */
	struct module_use {
		struct list_head list;
		struct module *module_which_uses;
	};

I've fixed this as part of the Linus-inspired module locking cleanup which
should hit linux-next tomorrow and -rc2 sometime.

Thanks,
Rusty.